Index: /WAeUP_SRP/fceokene/profiles_custom/default/course_results.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles_custom/default/course_results.xml	(revision 3677)
+++ /WAeUP_SRP/fceokene/profiles_custom/default/course_results.xml	(revision 3677)
@@ -0,0 +1,36 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
+<object name="course_results" meta_type="WAeUP Table">
+ <column value="key"/>
+ <column value="code"/>
+ <column value="carry_over"/>
+ <column value="core_or_elective"/>
+ <column value="student_id"/>
+ <column value="credits"/>
+ <column value="level_id"/>
+ <column value="session_id"/>
+ <column value="score"/>
+ <column value="ca1"/>
+ <column value="ca2"/>
+ <column value="exam"/> 
+ <column value="grade"/>
+ <column value="lecturer"/>
+ <index name="key" meta_type="FieldIndex">
+  <indexed_attr value="key"/>
+ </index>
+ <index name="code" meta_type="FieldIndex">
+  <indexed_attr value="code"/>
+ </index>
+ <index name="lecturer" meta_type="FieldIndex">
+  <indexed_attr value="lecturer"/>
+ </index>
+ <index name="student_id" meta_type="FieldIndex">
+  <indexed_attr value="student_id"/>
+ </index>
+ <index name="level_id" meta_type="FieldIndex">
+  <indexed_attr value="level_id"/>
+ </index>
+ <index name="session_id" meta_type="FieldIndex">
+  <indexed_attr value="session_id"/>
+ </index>
+</object>
Index: /WAeUP_SRP/fceokene/profiles_custom/default/layouts/student_course_result.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles_custom/default/layouts/student_course_result.xml	(revision 3677)
+++ /WAeUP_SRP/fceokene/profiles_custom/default/layouts/student_course_result.xml	(revision 3677)
@@ -0,0 +1,159 @@
+<?xml version="1.0"?>
+<object name="student_course_result" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+
+ <widget name="code" meta_type="CertificateCourseId Widget">
+  <property name="title">Course Code</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Course Code</property>
+  <property name="label_edit">Course Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="view"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="core_or_elective " meta_type="Boolean Widget">
+  <property name="title">Core or Elective</property>
+  <property name="fields">
+   <element value="core_or_elective"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Core or Elective</property>
+  <property name="label_edit">Core or Elective</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">elective</property>
+  <property name="label_true">core</property>
+ </widget>
+ <widget name="credits" meta_type="Int Widget">
+  <property name="title">Credits</property>
+  <property name="fields">
+   <element value="credits"/>
+  </property>
+  <property name="label">Credits</property>
+  <property name="label_edit">Credits</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="passmark" meta_type="Int Widget">
+  <property name="title">Passmark</property>
+  <property name="fields">
+   <element value="passmark"/>
+  </property>
+  <property name="label">Passmark</property>
+  <property name="label_edit">Passmark</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="score" meta_type="Int Widget">
+  <property name="title">Score</property>
+  <property name="fields">
+   <element value="score"/>
+  </property>
+  <property name="label">Score</property>
+  <property name="label_edit">Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="exam" meta_type="Int Widget">
+  <property name="title">Exam Marks</property>
+  <property name="fields">
+   <element value="exam"/>
+  </property>
+  <property name="label">Exam Marks</property>
+  <property name="label_edit">Exam Marks</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="ca1" meta_type="Int Widget">
+  <property name="title">CA 1 Marks</property>
+  <property name="fields">
+   <element value="ca1"/>
+  </property>
+  <property name="label">CA 1 Marks</property>
+  <property name="label_edit">CA 1 Marks</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="ca2" meta_type="Int Widget">
+  <property name="title">CA 2 Marks</property>
+  <property name="fields">
+   <element value="ca2"/>
+  </property>
+  <property name="label">CA 2 Marks</property>
+  <property name="label_edit">CA 2 Marks</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="title" meta_type="String Widget">
+  <property name="title">Original Course Title</property>
+  <property name="fields">
+   <element value="title"/>
+  </property>
+  <property name="label">Original Course Title</property>
+  <property name="label_edit">Original Course Title</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">60</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="score"/>
+  </row>
+  <row>
+   <cell name="ca1"/>
+  </row>
+  <row>
+   <cell name="ca2"/>
+  </row>
+  <row>
+   <cell name="exam"/>
+  </row>
+  <row>
+   <cell name="core_or_elective "/>
+  </row>
+ </table>
+</object>
+