Index: WAeUP_SRP/trunk/profiles/unilorin/skins.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/unilorin/skins.xml	(revision 3690)
+++ WAeUP_SRP/trunk/profiles/unilorin/skins.xml	(revision 3690)
@@ -0,0 +1,188 @@
+<?xml version="1.0"?>
+<object name="portal_skins" meta_type="CMF Skins Tool" allow_any="False"
+   cookie_persistence="False"
+   request_varname="portal_skin"
+   default_skin="CPSSkins">
+ <object name="Images" meta_type="Filesystem Directory View"
+    directory="CMFDefault/skins/Images"/>
+ <object name="cmf_calendar" meta_type="Filesystem Directory View"
+    directory="CMFCalendar/skins/calendar"/>
+ <object name="cmf_zpt_calendar" meta_type="Filesystem Directory View"
+    directory="CMFCalendar/skins/zpt_calendar"/>
+ <object name="content" meta_type="Filesystem Directory View"
+    directory="CMFDefault/skins/content"/>
+ <object name="control" meta_type="Filesystem Directory View"
+    directory="CMFDefault/skins/control"/>
+ <object name="cps_default" meta_type="Filesystem Directory View"
+    directory="CPSDefault/skins/cps_default"/>
+ <object name="cps_devel" meta_type="Filesystem Directory View"
+    directory="CPSDefault/skins/cps_devel"/>
+ <object name="cps_directory" meta_type="Filesystem Directory View"
+    directory="CPSDirectory/skins/cps_directory"/>
+ <object name="cps_document" meta_type="Filesystem Directory View"
+    directory="CPSDocument/skins/cps_document"/>
+ <object name="cps_document_images" meta_type="Filesystem Directory View"
+    directory="CPSDocument/skins/cps_document_images"/>
+ <object name="cps_document_js" meta_type="Filesystem Directory View"
+    directory="CPSDocument/skins/cps_document_js"/>
+ <object name="cps_images" meta_type="Filesystem Directory View"
+    directory="CPSDefault/skins/cps_images"/>
+ <object name="cps_javascript" meta_type="Filesystem Directory View"
+    directory="CPSDefault/skins/cps_javascript"/>
+ <object name="cps_jscalendar" meta_type="Filesystem Directory View"
+    directory="CPSSchemas/skins/cps_jscalendar"/>
+ <object name="cps_nuxeo_style" meta_type="Filesystem Directory View"
+    directory="CPSDefault/skins/cps_styles/nuxeo"/>
+ <object name="cpsportlets_default" meta_type="Filesystem Directory View"
+    directory="CPSPortlets/skins/cpsportlets_default"/>
+ <object name="cpsportlets_layouts" meta_type="Filesystem Directory View"
+    directory="CPSPortlets/skins/cpsportlets_layouts"/>
+ <object name="cpsportlets_schemas" meta_type="Filesystem Directory View"
+    directory="CPSPortlets/skins/cpsportlets_schemas"/>
+ <object name="cpsportlets_types" meta_type="Filesystem Directory View"
+    directory="CPSPortlets/skins/cpsportlets_vocabularies"/>
+ <object name="cpsportlets_vocabularies" meta_type="Filesystem Directory View"
+    directory="CPSPortlets/skins/cpsportlets_types"/>
+ <object name="cpsportlets_widgets" meta_type="Filesystem Directory View"
+    directory="CPSPortlets/skins/cpsportlets_widgets"/>
+ <object name="cps_schemas" meta_type="Filesystem Directory View"
+    directory="CPSSchemas/skins/cps_schemas"/>
+ <object name="cps_styles" meta_type="Filesystem Directory View"
+    directory="CPSDefault/skins/cps_styles"/>
+ <object name="cpsnavigation_default" meta_type="Filesystem Directory View"
+    directory="CPSNavigation/skins/cpsnavigation_default"/>
+ <object name="cpsnavigation_devel" meta_type="Filesystem Directory View"
+    directory="CPSNavigation/skins/cpsnavigation_devel"/>
+ <object name="cpsnavigation_images" meta_type="Filesystem Directory View"
+    directory="CPSNavigation/skins/cpsnavigation_images"/>
+ <object name="CPSSkins" meta_type="Filesystem Directory View"
+    directory="CPSSkins/skins/CPSSkins"/>
+ <object name="cpsskins_cmf" meta_type="Filesystem Directory View"
+    directory="CPSSkins/skins/cpsskins_cmf"/>
+ <object name="cpsskins_cps3" meta_type="Filesystem Directory View"
+    directory="CPSSkins/skins/cpsskins_cps3"/>
+ <object name="cpsskins_cps3_macroless" meta_type="Filesystem Directory View"
+    directory="CPSSkins/skins/cpsskins_cps3_macroless"/>
+ <object name="cpsskins_icons" meta_type="Filesystem Directory View"
+    directory="CPSSkins/icons"/>
+ <object name="custom" meta_type="Folder"/>
+ <object name="fckeditor" meta_type="Filesystem Directory View"
+    directory="FCKeditor/skins/fckeditor"/>
+ <object name="generic" meta_type="Filesystem Directory View"
+    directory="CMFDefault/skins/generic"/>
+ <object name="mimetypes_icons" meta_type="Filesystem Directory View"
+    directory="PortalTransforms/skins/mimetypes_icons"/>
+ <object name="no_css" meta_type="Filesystem Directory View"
+    directory="CMFDefault/skins/no_css"/>
+ <object name="nouvelle" meta_type="Filesystem Directory View"
+    directory="CMFDefault/skins/nouvelle"/>
+ <object name="scriptaculous" meta_type="Filesystem Directory View"
+    directory="CPSUtil/skins/scriptaculous"/>
+ <object name="topic" meta_type="Filesystem Directory View"
+    directory="CMFTopic/skins/topic"/>
+ <object name="zpt_content" meta_type="Filesystem Directory View"
+    directory="CMFDefault/skins/zpt_content"/>
+ <object name="zpt_control" meta_type="Filesystem Directory View"
+    directory="CMFDefault/skins/zpt_control"/>
+ <object name="zpt_generic" meta_type="Filesystem Directory View"
+    directory="CMFDefault/skins/zpt_generic"/>
+ <object name="zpt_topic" meta_type="Filesystem Directory View"
+    directory="CMFTopic/skins/zpt_topic"/>
+    
+    
+ <object name="cps_custom" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/cps_custom"/>
+ <object name="waeup_statistics" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_statistics"/>
+ <object name="waeup_layout" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_layout"/>    
+ <object name="waeup_custom" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_custom"/>
+ <object name="waeup_default" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_default"/>
+ <object name="waeup_design" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_design"/>
+ <object name="waeup_images" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_images"/>
+ <object name="waeup_directory" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_directory"/>
+ <object name="waeup_epayment" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_epayment"/>
+ <object name="waeup_academics" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_academics"/>
+ <object name="waeup_accommodation" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_accommodation"/>
+ <object name="waeup_pins" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_pins"/>
+ <object name="waeup_student" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_student"/>
+ <object name="waeup_utilities" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_utilities"/>
+ <object name="waeup_documents" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_documents"/>
+ <object name="waeup_upload" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_upload"/>    
+    
+    
+ <skin-path name="CPSSkins">
+  <layer name="custom" insert-before="*"/>
+  <layer name="CPSSkins"/>
+  <layer name="cpsskins_icons"/>
+  <layer name="cpsskins_cps3_macroless"/>
+  <layer name="cpsskins_cps3"/>
+  <layer name="cpsskins_cmf"/>
+  <layer name="cpsportlets_schemas" insert-after="custom"/>
+  <layer name="cpsportlets_vocabularies" insert-after="custom"/>
+  <layer name="cpsportlets_layouts" insert-after="custom"/>
+  <layer name="cpsportlets_widgets" insert-after="custom"/>
+  <layer name="cpsportlets_default" insert-after="custom"/>
+  <layer name="cpsportlets_types" insert-after="custom"/>
+  <layer name="cpsnavigation_images"/>
+  <layer name="cpsnavigation_default"/>
+  <layer name="cpsnavigation_devel"/>
+  <layer name="cps_directory"/>
+  <layer name="mimetypes_icons"/>
+  <layer name="cps_jscalendar"/>
+  <layer name="cps_schemas"/>
+  <layer name="cps_document"/>
+  <layer name="cps_document_js"/>
+  <layer name="cps_document_images"/>
+  <layer name="fckeditor"/>
+  <layer name="scriptaculous"/>
+  <layer name="cps_javascript"/>
+  <layer name="cps_default"/>
+  <layer name="cps_images"/>
+  <layer name="cmf_calendar"/>
+  <layer name="cps_styles"/>
+  <layer name="cps_nuxeo_style"/>
+  <layer name="cmf_zpt_calendar"/>
+  <layer name="cps_devel"/>
+  <layer name="zpt_topic"/>
+  <layer name="zpt_content"/>
+  <layer name="zpt_generic"/>
+  <layer name="zpt_control"/>
+  <layer name="Images"/> 
+ 
+  <layer name="waeup_unilorin" insert-after="custom"/>
+  <layer name="cps_custom" insert-after="waeup_custom"/>
+  <layer name="waeup_statistics" insert-after="waeup_custom"/>
+  <layer name="waeup_default" insert-after="waeup_custom"/>
+  <layer name="waeup_directory" insert-after="waeup_custom"/>
+  <layer name="waeup_epayment" insert-after="waeup_custom"/>
+  <layer name="waeup_pins" insert-after="waeup_custom"/>
+  <layer name="waeup_student" insert-after="waeup_custom"/>
+  <layer name="waeup_academics" insert-after="waeup_custom"/>
+  <layer name="waeup_documents" insert-after="waeup_custom"/>
+  <layer name="waeup_upload" insert-after="waeup_custom"/>
+  <layer name="waeup_accommodation" insert-after="waeup_custom"/>
+  <layer name="waeup_utilities" insert-after="waeup_custom"/>
+  <layer name="waeup_images" insert-after="waeup_custom"/>
+  <layer name="waeup_layout" insert-after="waeup_custom"/>
+  <layer name="waeup_design" insert-after="waeup_custom"/>
+  <layer name="CPSSkins" remove="" />
+  <layer name="cpsskins_icons" remove="" />
+  <layer name="cpsskins_cps3" remove="" />
+  <layer name="cpsskins_cmf" remove="" />
+ </skin-path>
+
+</object>