Index: /WAeUP_SRP/trunk/profiles/aaua/skins.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaua/skins.xml	(revision 3690)
+++ /WAeUP_SRP/trunk/profiles/aaua/skins.xml	(revision 3691)
@@ -97,6 +97,6 @@
  <object name="waeup_layout" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_layout"/>    
- <object name="waeup_custom" meta_type="Filesystem Directory View"
-    directory="WAeUP_SRP/skins/waeup_custom"/>
+ <object name="waeup_aaua" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_aaua"/>
  <object name="waeup_default" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_default"/>
@@ -165,19 +165,19 @@
  
   <layer name="waeup_aaua" insert-after="custom"/>
-  <layer name="cps_custom" insert-after="waeup_custom"/>
-  <layer name="waeup_statistics" insert-after="waeup_custom"/>
-  <layer name="waeup_default" insert-after="waeup_custom"/>
-  <layer name="waeup_directory" insert-after="waeup_custom"/>
-  <layer name="waeup_epayment" insert-after="waeup_custom"/>
-  <layer name="waeup_pins" insert-after="waeup_custom"/>
-  <layer name="waeup_student" insert-after="waeup_custom"/>
-  <layer name="waeup_academics" insert-after="waeup_custom"/>
-  <layer name="waeup_documents" insert-after="waeup_custom"/>
-  <layer name="waeup_upload" insert-after="waeup_custom"/>
-  <layer name="waeup_accommodation" insert-after="waeup_custom"/>
-  <layer name="waeup_utilities" insert-after="waeup_custom"/>
-  <layer name="waeup_images" insert-after="waeup_custom"/>
-  <layer name="waeup_layout" insert-after="waeup_custom"/>
-  <layer name="waeup_design" insert-after="waeup_custom"/>
+  <layer name="cps_custom" insert-after="waeup_aaua"/>
+  <layer name="waeup_statistics" insert-after="waeup_aaua"/>
+  <layer name="waeup_default" insert-after="waeup_aaua"/>
+  <layer name="waeup_directory" insert-after="waeup_aaua"/>
+  <layer name="waeup_epayment" insert-after="waeup_aaua"/>
+  <layer name="waeup_pins" insert-after="waeup_aaua"/>
+  <layer name="waeup_student" insert-after="waeup_aaua"/>
+  <layer name="waeup_academics" insert-after="waeup_aaua"/>
+  <layer name="waeup_documents" insert-after="waeup_aaua"/>
+  <layer name="waeup_upload" insert-after="waeup_aaua"/>
+  <layer name="waeup_accommodation" insert-after="waeup_aaua"/>
+  <layer name="waeup_utilities" insert-after="waeup_aaua"/>
+  <layer name="waeup_images" insert-after="waeup_aaua"/>
+  <layer name="waeup_layout" insert-after="waeup_aaua"/>
+  <layer name="waeup_design" insert-after="waeup_aaua"/>
   <layer name="CPSSkins" remove="" />
   <layer name="cpsskins_icons" remove="" />
Index: /WAeUP_SRP/trunk/profiles/fceokene/skins.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/fceokene/skins.xml	(revision 3690)
+++ /WAeUP_SRP/trunk/profiles/fceokene/skins.xml	(revision 3691)
@@ -97,6 +97,6 @@
  <object name="waeup_layout" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_layout"/>    
- <object name="waeup_custom" meta_type="Filesystem Directory View"
-    directory="WAeUP_SRP/skins/waeup_custom"/>
+ <object name="waeup_fceokene" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_fceokene"/>
  <object name="waeup_default" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_default"/>
@@ -165,19 +165,19 @@
  
   <layer name="waeup_fceokene" insert-after="custom"/>
-  <layer name="cps_custom" insert-after="waeup_custom"/>
-  <layer name="waeup_statistics" insert-after="waeup_custom"/>
-  <layer name="waeup_default" insert-after="waeup_custom"/>
-  <layer name="waeup_directory" insert-after="waeup_custom"/>
-  <layer name="waeup_epayment" insert-after="waeup_custom"/>
-  <layer name="waeup_pins" insert-after="waeup_custom"/>
-  <layer name="waeup_student" insert-after="waeup_custom"/>
-  <layer name="waeup_academics" insert-after="waeup_custom"/>
-  <layer name="waeup_documents" insert-after="waeup_custom"/>
-  <layer name="waeup_upload" insert-after="waeup_custom"/>
-  <layer name="waeup_accommodation" insert-after="waeup_custom"/>
-  <layer name="waeup_utilities" insert-after="waeup_custom"/>
-  <layer name="waeup_images" insert-after="waeup_custom"/>
-  <layer name="waeup_layout" insert-after="waeup_custom"/>
-  <layer name="waeup_design" insert-after="waeup_custom"/>
+  <layer name="cps_custom" insert-after="waeup_fceokene"/>
+  <layer name="waeup_statistics" insert-after="waeup_fceokene"/>
+  <layer name="waeup_default" insert-after="waeup_fceokene"/>
+  <layer name="waeup_directory" insert-after="waeup_fceokene"/>
+  <layer name="waeup_epayment" insert-after="waeup_fceokene"/>
+  <layer name="waeup_pins" insert-after="waeup_fceokene"/>
+  <layer name="waeup_student" insert-after="waeup_fceokene"/>
+  <layer name="waeup_academics" insert-after="waeup_fceokene"/>
+  <layer name="waeup_documents" insert-after="waeup_fceokene"/>
+  <layer name="waeup_upload" insert-after="waeup_fceokene"/>
+  <layer name="waeup_accommodation" insert-after="waeup_fceokene"/>
+  <layer name="waeup_utilities" insert-after="waeup_fceokene"/>
+  <layer name="waeup_images" insert-after="waeup_fceokene"/>
+  <layer name="waeup_layout" insert-after="waeup_fceokene"/>
+  <layer name="waeup_design" insert-after="waeup_fceokene"/>
   <layer name="CPSSkins" remove="" />
   <layer name="cpsskins_icons" remove="" />
Index: /WAeUP_SRP/trunk/profiles/ois/skins.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/skins.xml	(revision 3690)
+++ /WAeUP_SRP/trunk/profiles/ois/skins.xml	(revision 3691)
@@ -97,6 +97,6 @@
  <object name="waeup_layout" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_layout"/>    
- <object name="waeup_custom" meta_type="Filesystem Directory View"
-    directory="WAeUP_SRP/skins/waeup_custom"/>
+ <object name="waeup_ois" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_ois"/>
  <object name="waeup_default" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_default"/>
@@ -165,19 +165,19 @@
  
   <layer name="waeup_ois" insert-after="custom"/>
-  <layer name="cps_custom" insert-after="waeup_custom"/>
-  <layer name="waeup_statistics" insert-after="waeup_custom"/>
-  <layer name="waeup_default" insert-after="waeup_custom"/>
-  <layer name="waeup_directory" insert-after="waeup_custom"/>
-  <layer name="waeup_epayment" insert-after="waeup_custom"/>
-  <layer name="waeup_pins" insert-after="waeup_custom"/>
-  <layer name="waeup_student" insert-after="waeup_custom"/>
-  <layer name="waeup_academics" insert-after="waeup_custom"/>
-  <layer name="waeup_documents" insert-after="waeup_custom"/>
-  <layer name="waeup_upload" insert-after="waeup_custom"/>
-  <layer name="waeup_accommodation" insert-after="waeup_custom"/>
-  <layer name="waeup_utilities" insert-after="waeup_custom"/>
-  <layer name="waeup_images" insert-after="waeup_custom"/>
-  <layer name="waeup_layout" insert-after="waeup_custom"/>
-  <layer name="waeup_design" insert-after="waeup_custom"/>
+  <layer name="cps_custom" insert-after="waeup_ois"/>
+  <layer name="waeup_statistics" insert-after="waeup_ois"/>
+  <layer name="waeup_default" insert-after="waeup_ois"/>
+  <layer name="waeup_directory" insert-after="waeup_ois"/>
+  <layer name="waeup_epayment" insert-after="waeup_ois"/>
+  <layer name="waeup_pins" insert-after="waeup_ois"/>
+  <layer name="waeup_student" insert-after="waeup_ois"/>
+  <layer name="waeup_academics" insert-after="waeup_ois"/>
+  <layer name="waeup_documents" insert-after="waeup_ois"/>
+  <layer name="waeup_upload" insert-after="waeup_ois"/>
+  <layer name="waeup_accommodation" insert-after="waeup_ois"/>
+  <layer name="waeup_utilities" insert-after="waeup_ois"/>
+  <layer name="waeup_images" insert-after="waeup_ois"/>
+  <layer name="waeup_layout" insert-after="waeup_ois"/>
+  <layer name="waeup_design" insert-after="waeup_ois"/>
   <layer name="CPSSkins" remove="" />
   <layer name="cpsskins_icons" remove="" />
Index: /WAeUP_SRP/trunk/profiles/unilorin/skins.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/unilorin/skins.xml	(revision 3690)
+++ /WAeUP_SRP/trunk/profiles/unilorin/skins.xml	(revision 3691)
@@ -97,6 +97,6 @@
  <object name="waeup_layout" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_layout"/>    
- <object name="waeup_custom" meta_type="Filesystem Directory View"
-    directory="WAeUP_SRP/skins/waeup_custom"/>
+ <object name="waeup_unilorin" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_unilorin"/>
  <object name="waeup_default" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_default"/>
@@ -165,19 +165,19 @@
  
   <layer name="waeup_unilorin" insert-after="custom"/>
-  <layer name="cps_custom" insert-after="waeup_custom"/>
-  <layer name="waeup_statistics" insert-after="waeup_custom"/>
-  <layer name="waeup_default" insert-after="waeup_custom"/>
-  <layer name="waeup_directory" insert-after="waeup_custom"/>
-  <layer name="waeup_epayment" insert-after="waeup_custom"/>
-  <layer name="waeup_pins" insert-after="waeup_custom"/>
-  <layer name="waeup_student" insert-after="waeup_custom"/>
-  <layer name="waeup_academics" insert-after="waeup_custom"/>
-  <layer name="waeup_documents" insert-after="waeup_custom"/>
-  <layer name="waeup_upload" insert-after="waeup_custom"/>
-  <layer name="waeup_accommodation" insert-after="waeup_custom"/>
-  <layer name="waeup_utilities" insert-after="waeup_custom"/>
-  <layer name="waeup_images" insert-after="waeup_custom"/>
-  <layer name="waeup_layout" insert-after="waeup_custom"/>
-  <layer name="waeup_design" insert-after="waeup_custom"/>
+  <layer name="cps_custom" insert-after="waeup_unilorin"/>
+  <layer name="waeup_statistics" insert-after="waeup_unilorin"/>
+  <layer name="waeup_default" insert-after="waeup_unilorin"/>
+  <layer name="waeup_directory" insert-after="waeup_unilorin"/>
+  <layer name="waeup_epayment" insert-after="waeup_unilorin"/>
+  <layer name="waeup_pins" insert-after="waeup_unilorin"/>
+  <layer name="waeup_student" insert-after="waeup_unilorin"/>
+  <layer name="waeup_academics" insert-after="waeup_unilorin"/>
+  <layer name="waeup_documents" insert-after="waeup_unilorin"/>
+  <layer name="waeup_upload" insert-after="waeup_unilorin"/>
+  <layer name="waeup_accommodation" insert-after="waeup_unilorin"/>
+  <layer name="waeup_utilities" insert-after="waeup_unilorin"/>
+  <layer name="waeup_images" insert-after="waeup_unilorin"/>
+  <layer name="waeup_layout" insert-after="waeup_unilorin"/>
+  <layer name="waeup_design" insert-after="waeup_unilorin"/>
   <layer name="CPSSkins" remove="" />
   <layer name="cpsskins_icons" remove="" />