Index: WAeUP_SRP/trunk/profiles/default/directories/members.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/directories/members.xml	(revision 3689)
+++ WAeUP_SRP/trunk/profiles/default/directories/members.xml	(revision 3693)
@@ -6,11 +6,11 @@
  <property name="layout">members</property>
  <property name="layout_search">members_search</property>
- <property name="acl_directory_view_roles">Manager; Member</property>
- <property name="acl_entry_create_roles">Manager</property>
- <property name="acl_entry_delete_roles">Manager</property>
+ <property name="acl_directory_view_roles">Manager;SectionOfficer; Member</property>
+ <property name="acl_entry_create_roles">Manager;SectionOfficer</property>
+ <property name="acl_entry_delete_roles">Manager;SectionOfficer</property>
  <!-- switch back to Owner instead of Member once searchEntries will be
       able to check ACLs -->
- <property name="acl_entry_view_roles">Manager; Member</property>
- <property name="acl_entry_edit_roles">Manager; Owner</property>
+ <property name="acl_entry_view_roles">Manager;SectionOfficer; Member</property>
+ <property name="acl_entry_edit_roles">Manager;SectionOfficer; Owner</property>
  <property name="id_field">id</property>
  <property name="title_field">fullname</property>
Index: WAeUP_SRP/trunk/profiles/default/directories/students.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/directories/students.xml	(revision 3693)
+++ WAeUP_SRP/trunk/profiles/default/directories/students.xml	(revision 3693)
@@ -0,0 +1,27 @@
+<?xml version="1.0"?>
+<object name="students" meta_type="CPS ZODB Directory" purge="True">
+ <property name="title">Students</property>
+ <property name="schema">members</property>
+ <property name="schema_search">members_search</property>
+ <property name="layout">members</property>
+ <property name="layout_search">members_search</property>
+ <property name="acl_directory_view_roles">SectionOfficer; Manager; Member</property>
+ <property name="acl_entry_create_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_delete_roles">SectionOfficer; Manager</property>
+ <!-- switch back to Owner instead of Member once searchEntries will be
+      able to check ACLs -->
+ <property name="acl_entry_view_roles">SectionOfficer; Manager; Member</property>
+ <property name="acl_entry_edit_roles">SectionOfficer; Manager; Owner</property>
+ <property name="id_field">id</property>
+ <property name="search_substring_fields">
+  <element value="id"/>
+  <element value="sn"/>
+  <element value="givenName"/>
+  <element value="email"/>
+ </property>
+ <property name="is_hierarchical">False</property>
+ <property name="password_field">password</property>
+ <entry-local-role
+    role="Owner">python:entry.get('id') == user_id</entry-local-role>
+ <cache-manager name="dir_ramcache"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/directories/waeup_stacking_dir.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/directories/waeup_stacking_dir.xml	(revision 3693)
+++ WAeUP_SRP/trunk/profiles/default/directories/waeup_stacking_dir.xml	(revision 3693)
@@ -0,0 +1,31 @@
+<?xml version="1.0"?>
+<object name="waeup_stacking_dir" meta_type="CPS Stacking Directory">
+ <property name="title">The WAeUP Masterdirectory</property>
+ <property name="schema"></property>
+ <property name="schemas">
+  <element value="members"/>
+ </property>
+ <property name="schema_search">members_search</property>
+ <property name="schemas_search"/>
+ <property name="layout">members</property>
+ <property name="layout_search">members_search</property>
+ <property name="acl_directory_view_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_create_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_delete_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_view_roles">SectionOfficer; Manager</property>
+ <property name="acl_entry_edit_roles">SectionOfficer; Manager</property>
+ <property name="id_field">id</property>
+ <property name="title_field">fullname</property>
+ <property name="is_hierarchical">False</property>
+ <property name="search_substring_fields">
+  <element value="id"/>
+  <element value="sn"/>
+  <element value="givenname"/>
+  <element value="email"/>
+ </property>
+ <property name="backing_dirs">
+  <element value="members"/>
+  <element value="students"/>
+ </property>
+ <property name="creation_dir">members</property>
+</object>