Index: /WAeUP_SRP/trunk/CHANGES.txt
===================================================================
--- /WAeUP_SRP/trunk/CHANGES.txt	(revision 3697)
+++ /WAeUP_SRP/trunk/CHANGES.txt	(revision 3698)
@@ -41,2 +41,7 @@
 - Implement custom profile for Uniben and trim default profile
 
+1.7 (2008-09-23)
+-----------------
+- Fix object action portlet
+
+- More profile clean-up
Index: /WAeUP_SRP/trunk/profiles/default/portlets_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/portlets_catalog.xml	(revision 3697)
+++ /WAeUP_SRP/trunk/profiles/default/portlets_catalog.xml	(revision 3698)
@@ -2,4 +2,5 @@
 <object name="portal_cpsportlets_catalog"
    meta_type="CPS Portlets Catalog Tool">
+ <property name="title"></property>
  <object name="htmltext_lexicon" meta_type="ZCTextIndex Lexicon">
   <element name="HTML aware splitter" group="Word Splitter"/>
@@ -12,5 +13,4 @@
   <element name="Remove listed stop words only" group="Stop Words"/>
  </object>
- <property name="title"></property>
  <index name="Creator" meta_type="FieldIndex">
   <indexed_attr value="Creator"/>
Index: /WAeUP_SRP/trunk/profiles/default/pumeresults.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/pumeresults.xml	(revision 3698)
+++ /WAeUP_SRP/trunk/profiles/default/pumeresults.xml	(revision 3698)
@@ -0,0 +1,33 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
+<object name="portal_pumeresults" meta_type="WAeUP Table">
+ <column value="jamb_reg_no"/>
+ <column value="name"/>
+ <column value="score"/>
+ <column value="sex"/>
+ <column value="faculty"/>
+ <column value="course"/>
+ <column value="status"/>
+ <column value="department"/>
+ <column value="course_code_org"/>
+ <column value="course_code"/>
+ <column value="result_type"/>
+ <index name="jamb_reg_no" meta_type="FieldIndex">
+  <indexed_attr value="jamb_reg_no"/>
+ </index>
+ <index name="status" meta_type="KeywordIndex">
+  <indexed_attr value="status"/>
+ </index>
+ <index name="faculty" meta_type="KeywordIndex">
+  <indexed_attr value="faculty"/>
+ </index>
+ <index name="department" meta_type="KeywordIndex">
+  <indexed_attr value="department"/>
+ </index>
+ <index name="course_code" meta_type="KeywordIndex">
+  <indexed_attr value="course_code"/>
+ </index>
+ <index name="score" meta_type="FieldIndex">
+  <indexed_attr value="score"/>
+ </index>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/results_import.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/results_import.xml	(revision 3698)
+++ /WAeUP_SRP/trunk/profiles/default/results_import.xml	(revision 3698)
@@ -0,0 +1,25 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
+<object name="results_import" meta_type="WAeUP Table">
+ <column value="key"/>
+ <column value="matric_no"/>
+ <column value="CosCode"/>
+ <column value="AnsBook"/>
+ <column value="CosStuatus"/>
+ <column value="Session"/>
+ <column value="Mat_Cos"/>
+ <column value="Score"/>
+ <column value="CarryLevel"/>
+ <column value="GRADE"/>
+ <column value="WEIGHT"/>
+ <column value="Semester"/>
+ <column value="Verdict"/>
+ <column value="Level"/>
+ <column value="id" />
+ <index name="matric_no" meta_type="FieldIndex">
+  <indexed_attr value="matric_no"/>
+ </index>
+ <index name="key" meta_type="FieldIndex">
+  <indexed_attr value="key"/>
+ </index>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/returning_import.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/returning_import.xml	(revision 3698)
+++ /WAeUP_SRP/trunk/profiles/default/returning_import.xml	(revision 3698)
@@ -0,0 +1,31 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
+<object name="returning_import" meta_type="WAeUP Table">
+ <column value="id"/>
+ <column value="matric_no"/>
+ <column value="Entryregno"/>
+ <column value="Faculty"/>
+ <column value="Department"/>
+ <column value="Coursemajor"/>
+ <column value="Coursemajorcode"/>
+ <column value="Fullname"/>
+ <column value="Firstname"/>
+ <column value="Middlename"/>
+ <column value="Lastname"/>
+ <column value="Mode_of_Entry"/>
+ <column value="Sex"/>
+ <column value="State"/>
+ <column value="LGA"/>
+ <column value="Level"/>
+ <column value="Permanent_Address"/>
+ <column value="f1"/>
+ <column value="f2"/>
+ <column value="f3"/>
+ <column value="f4"/>
+ <index name="matric_no" meta_type="FieldIndex">
+  <indexed_attr value="matric_no"/>
+ </index>
+ <index name="id" meta_type="FieldIndex">
+  <indexed_attr value="id"/>
+ </index>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/roots.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/roots.xml	(revision 3697)
+++ /WAeUP_SRP/trunk/profiles/default/roots.xml	(revision 3698)
@@ -2,7 +2,3 @@
 <roots>
   <object name="campus" portal_type="University"/>
-  <script script_id=".cpsskins_theme"
-          type="Script (Python)"
-          filename="cpsskins_theme.py"
-          /> 
 </roots>
Index: eUP_SRP/trunk/profiles/default/roots/members.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/roots/members.xml	(revision 3697)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<?xml version="1.0"?>
-<object name="members">
- <rolemap file="rolemap.xml"/>
- <property name="title_msgid">members_root_title</property>
- <object name=".cps_workflow_configuration"
-         meta_type="CPS Workflow Configuration"/>
-</object>
Index: eUP_SRP/trunk/profiles/default/roots/sections.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/roots/sections.xml	(revision 3697)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<?xml version="1.0"?>
-<object name="sections">
- <rolemap file="rolemap.xml"/>
- <property name="title_msgid">sections_root_title</property>
- <object name=".cps_workflow_configuration"
-         meta_type="CPS Workflow Configuration"/>
-</object>
Index: eUP_SRP/trunk/profiles/default/roots/workspaces.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/roots/workspaces.xml	(revision 3697)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<?xml version="1.0"?>
-<object name="workspaces">
- <rolemap file="rolemap.xml"/>
- <property name="title_msgid">workspaces_root_title</property>
- <object name=".cps_workflow_configuration"
-         meta_type="CPS Workflow Configuration"/>
-</object>
Index: /WAeUP_SRP/trunk/profiles/default/students_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 3698)
+++ /WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 3698)
@@ -0,0 +1,81 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
+<object name="students_catalog" meta_type="WAeUP Table">
+ <object name="plaintext_lexicon" meta_type="ZCTextIndex Lexicon">
+  <element name="Whitespace splitter" group="Word Splitter"/>
+  <element name="Case Normalizer" group="Case Normalizer"/>
+  <element name="Remove listed stop words only" group="Stop Words"/>
+ </object>
+ <index name="id" meta_type="FieldIndex">
+  <indexed_attr value="id"/>
+ </index>
+ <index name="review_state" meta_type="FieldIndex">
+  <indexed_attr value="review_state"/>
+ </index>
+ <index name="name" meta_type="TextIndex">
+  <indexed_attr value="name"/>
+ </index>
+ <index name="perm_address" meta_type="TextIndex">
+  <indexed_attr value="perm_address"/>
+ </index>
+ <index name="jamb_reg_no" meta_type="FieldIndex">
+  <indexed_attr value="jamb_reg_no"/>
+ </index>
+ <index name="matric_no" meta_type="FieldIndex">
+  <indexed_attr value="matric_no"/>
+ </index>
+ <index name="faculty" meta_type="FieldIndex">
+  <indexed_attr value="faculty"/>
+ </index>
+ <index name="entry_mode" meta_type="FieldIndex">
+  <indexed_attr value="entry_mode"/>
+ </index>
+ <index name="entry_session" meta_type="FieldIndex">
+  <indexed_attr value="entry_session"/>
+ </index>
+ <index name="session" meta_type="FieldIndex">
+  <indexed_attr value="session"/>
+ </index>
+ <index name="department" meta_type="FieldIndex">
+  <indexed_attr value="department"/>
+ </index>
+ <index name="level" meta_type="FieldIndex">
+  <indexed_attr value="level"/>
+ </index>
+ <index name="end_level" meta_type="FieldIndex">
+  <indexed_attr value="end_level"/>
+ </index>
+ <index name="lga" meta_type="FieldIndex">
+  <indexed_attr value="lga"/>
+ </index>
+ <index name="mode" meta_type="FieldIndex">
+  <indexed_attr value="mode"/>
+ </index>
+ <index name="verdict" meta_type="FieldIndex">
+  <indexed_attr value="verdict"/>
+ </index>
+ <index name="course" meta_type="FieldIndex">
+  <indexed_attr value="course"/>
+ </index>
+
+ <column value="id"/>
+ <column value="review_state"/>
+ <column value="matric_no"/>
+ <column value="jamb_reg_no"/>
+ <column value="name"/>
+ <column value="sex"/>
+ <column value="faculty"/>
+ <column value="department"/>
+ <column value="course"/>
+ <column value="lga"/>
+ <column value="perm_address"/>
+ <column value="email"/>
+ <column value="phone"/>
+ <column value="level"/>
+ <column value="end_level"/>
+ <column value="mode"/>
+ <column value="verdict"/>
+ <column value="entry_mode"/>
+ <column value="entry_session"/>
+ <column value="session"/>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/xsl.css
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/xsl.css	(revision 3698)
+++ /WAeUP_SRP/trunk/profiles/default/xsl.css	(revision 3698)
@@ -0,0 +1,25 @@
+table {
+	border-width: 1px 1px 1px 1px;
+	border-spacing: 2px;
+	border-style: outset outset outset outset;
+	border-color: gray gray gray gray;
+	border-collapse: collapse;
+	background-color: transparent;
+}
+table th {
+	border-width: thin thin thin thin;
+	padding: 2px 2px 2px 2px;
+	border-style: solid solid solid solid;
+	border-color: gray gray gray gray;
+	background-color: transparent;
+	-moz-border-radius: 0px 0px 0px 0px;
+        text-align: left;
+}
+table td {
+	border-width: thin thin thin thin;
+	padding: 2px 2px 2px 2px;
+	border-style: solid solid solid solid;
+	border-color: gray gray gray gray;
+	background-color: transparent;
+	-moz-border-radius: 0px 0px 0px 0px;
+}
Index: /WAeUP_SRP/trunk/profiles/ois/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/actions.xml	(revision 3697)
+++ /WAeUP_SRP/trunk/profiles/ois/actions.xml	(revision 3698)
@@ -184,3 +184,4 @@
   </action>
  </action-provider>
+ <action-provider name="portal_types"/>
 </object>
Index: /WAeUP_SRP/trunk/profiles/ois/vocabularies/levels.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/vocabularies/levels.xml	(revision 3697)
+++ /WAeUP_SRP/trunk/profiles/ois/vocabularies/levels.xml	(revision 3698)
@@ -7,12 +7,9 @@
  <property name="acl_write_roles">Manager</property>
  <item key="" msgid=""></item>
- <item key="000" msgid="">Pre-Studies</item>
- <item key="100" msgid="">Year 1 (100 Level)</item>
- <item key="200" msgid="">Year 2 (200 Level)</item>
- <item key="300" msgid="">Year 3 (300 Level)</item>
- <item key="400" msgid="">Year 4 (400 Level)</item>
- <item key="500" msgid="">Year 5 (500 Level)</item>
- <item key="600" msgid="">Year 6 (600 Level)</item>
- <item key="700" msgid="">Year 7 (700 Level)</item>
- <item key="800" msgid="">Year 8 (800 Level)</item>
+ <item key="100" msgid="">Year 7</item>
+ <item key="200" msgid="">Year 8</item>
+ <item key="300" msgid="">Year 9</item>
+ <item key="400" msgid="">Year 10</item>
+ <item key="500" msgid="">Year 11</item>
+ <item key="600" msgid="">Year 12</item>
 </object>
Index: /WAeUP_SRP/trunk/profiles/uniben/vocabularies/levels.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/uniben/vocabularies/levels.xml	(revision 3697)
+++ /WAeUP_SRP/trunk/profiles/uniben/vocabularies/levels.xml	(revision 3698)
@@ -7,5 +7,4 @@
  <property name="acl_write_roles">Manager</property>
  <item key="" msgid=""></item>
- <item key="000" msgid="">Pre-Studies</item>
  <item key="100" msgid="">Year 1 (100 Level)</item>
  <item key="200" msgid="">Year 2 (200 Level)</item>