Index: WAeUP_SRP/trunk/profiles/ois/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/ois/actions.xml	(revision 3699)
+++ WAeUP_SRP/trunk/profiles/ois/actions.xml	(revision 3700)
@@ -24,6 +24,6 @@
    <permission>View</permission>
   </action>
-  <action title="Student Login" action_id="login_student" category="student"
-     condition_expr="python: not member and (portal.portal_url().find('fceokene.waeup.org') &gt;-1)"
+  <action title="Parent Login" action_id="login_student" category="student"
+     condition_expr="python: not member and (portal.portal_url().find('ois.waeup.org') &gt;-1)"
      url_expr="string:${portal_url}/login_student" visible="True">
    <permission>View</permission>
Index: WAeUP_SRP/trunk/profiles/ois/vocabularies/entry_modes.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/ois/vocabularies/entry_modes.xml	(revision 3699)
+++ WAeUP_SRP/trunk/profiles/ois/vocabularies/entry_modes.xml	(revision 3700)
@@ -7,15 +7,5 @@
  <property name="acl_write_roles">Manager</property>
  <item key="" msgid=""></item>
- <item key="ume_ft" msgid="">UME Full Time</item>
- <item key="de_ft" msgid="">Direct Entry Full Time</item>
- <item key="de_pt" msgid="">Direct Entry Part Time</item>
- <item key="dp_ft" msgid="">Diploma Full Time</item>
- <item key="dp_pt" msgid="">Diploma Part Time</item>
- <item key="ug_ft" msgid="">Undergraduate Full Time</item>
- <item key="ug_pt" msgid="">Undergraduate Part Time</item>
- <item key="ug_sw" msgid="">Undergraduate Sandwich</item> 
- <item key="pg_ft" msgid="">Postgraduate Full Time</item>
- <item key="pg_pt" msgid="">Postgraduate Part Time</item>
- <item key="ct_ft" msgid="">Certificate Full Time</item>
- <item key="ct_pt" msgid="">Certificate Part Time</item>
+ <item key="ug_ft" msgid="">Full Time</item>
 </object>
+
Index: WAeUP_SRP/trunk/skins/waeup_ois/login_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/login_student.pt	(revision 3700)
+++ WAeUP_SRP/trunk/skins/waeup_ois/login_student.pt	(revision 3700)
@@ -0,0 +1,73 @@
+<metal:html>
+
+<metal:body use-macro="here/main_template/macros/master">
+
+<metal:main fill-slot="main"
+      tal:define="username request/username | request/__ac_name | nothing">
+
+  <h3 i18n:translate="">Parent Login</h3>
+
+  <form id="" action="" method="post"
+        tal:attributes="action string:${base_url}logged_in">
+        
+
+  <p> To access the registration portal enter the Student Id  and Password. </p>
+  
+  <p>The <strong>Student Id</strong> (initial capital letter followed by 6 numbers) 
+  has been automatically assigned by the portal after creation of 
+  the student record. Do not confuse with the Registration or Matriculation Number! 
+  </p>
+  
+  <p>During the admission and clearance process the <strong>Password</strong> corresponds with the last 
+  10 digits of your Admission Checking PIN (prefix APP).</p>
+  
+  <br /> 
+
+  <table id="login" class="form"
+         summary="Table for entering login information">
+    <tbody>
+    <tr>
+    <th>
+        <label for="username"
+               i18n:translate="label_student_id">Student Id</label></th>
+    <td>
+        <input type="text" id="username" name="__ac_name"
+               class="focus" size="20" value=""
+               tal:attributes="value username" /></td>
+    </tr>
+    <tr>
+    <th>
+        <label for="password"
+               i18n:translate="label_password">Password</label></th>
+    <td>
+        <input type="password" id="password" name="__ac_password" size="20"
+               value="" />&nbsp;&nbsp; <font color='red'>Notice: Passwords are case sensitive.  </font>   </td>
+    </tr>
+    </tbody>
+  </table>
+  
+  <p class="buttonArea">
+    <!-- ****** Enable the automatic redirect ***** -->
+    <input type="hidden" name="came_from" value=""
+           tal:condition="exists: request/came_from"
+           tal:attributes="value request/came_from" />
+    <!-- ****** Enable the automatic redirect ***** -->
+    <input i18n:attributes="value" class="standalone"
+           type="submit" name="submit" value="button_login" />
+  </p>
+
+  </form>
+
+  <br />
+
+  <p i18n:translate="help_login_aware_logout">
+    Don't forget to logout or exit your browser when you're done.
+  </p>
+  <p i18n:translate="help_login_troubles_cookies">
+    Having trouble logging in? Make sure to enable cookies in
+    your web browser.
+  </p>
+
+</metal:main>
+</metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_ois/student_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/student_view.pt	(revision 3700)
+++ WAeUP_SRP/trunk/skins/waeup_ois/student_view.pt	(revision 3700)
@@ -0,0 +1,161 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main" 
+              tal:define="info context/getStudentFolderInfo;
+                          baseinfo info/base_info|nothing"
+              >
+    <metal:block tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </metal:block>
+    <metal:block tal:condition="info">
+      <metal:block tal:define="review_state info/review_state;
+      rows python: info['items'];
+      is_so info/is_sectionofficer|nothing;
+      is_staff info/is_staff|nothing;
+      is_student info/is_student"
+      >
+        <a href="" tal:condition="is_staff"
+           tal:attributes="href string:${here/academicsParent}">
+          <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+          Up one level
+        </a>
+        <h3 tal:content="info/name" />
+        <br />
+        <table>
+          <tr>
+            <td width="220px">Registration Number:</td> 
+            <td><span tal:content="baseinfo/jamb_reg_no" /></td>
+          </tr>
+          <tr>
+            <td>Matriculation Number:</td> 
+            <td><span tal:content="baseinfo/matric_no" /></td>
+          </tr>      
+          <tr>
+            <td>Certificate Code:</td> 
+            <td><span tal:content="baseinfo/course" /></td>
+          </tr>
+          <tr>
+            <td>Current Session:</td> 
+            <td><span tal:content="python:context.portal_vocabularies.sessions.get(baseinfo['session'])" /></td>
+          </tr>
+          <tr>
+            <td>Current Study Level:</td> 
+            <td><span tal:content="python:context.portal_vocabularies.student_levels.get(baseinfo['level'])" /></td>
+          </tr>
+          <tr>
+            <td>Current Study Mode:</td> 
+            <td><span tal:content="python:context.portal_vocabularies.entry_modes.get(baseinfo['mode'])" /></td>
+          </tr>        
+          <tr tal:define="verdict python:context.portal_vocabularies.verdicts.get(baseinfo['verdict'])">
+            <td>Current Verdict:</td> 
+            <td><span tal:condition="verdict" tal:content="python:verdict.upper()" /></td>
+          </tr>
+        </table>           
+        <br />
+        <table tal:condition="is_staff" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <span tal:repeat="row rows">
+            <tr tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+              <td><a href="view" tal:attributes="href string:${row/url}">
+                  <strong tal:content="row/title" /></a> </td>
+              <td> 
+                <a tal:condition="python: row['is_editable'] and not row['type'] in ('StudentClearance','StudentAccommodation','PaymentsFolder')"
+                   href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                   target="edit"
+                   onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                  [edit]
+                </a> 
+                <a tal:condition="python: row['is_editable'] and row['type']=='StudentClearance'"
+                   href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
+                   target="edit"
+                   onclick="javascript:window.open('','edit','width=700, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                  [edit and change state]
+                </a>  
+                <a tal:condition="python: context.isClearanceOfficer() and row['type']=='StudentClearance'"
+                   href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
+                   target="edit"
+                   onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                  [change state]
+                </a>                            
+              </td>
+            </tr>
+          </span>
+          <tr tal:condition="info/session">
+            <td>
+              <a href="edit" tal:attributes="href string:session_results_view">
+                <strong>Session Results 2005/2006</strong>
+              </a>             
+            </td>
+            <td>
+              &nbsp;
+            </td>
+          </tr>
+        </table>
+        <form action="mail_password_form" method="post" class="group"
+              tal:condition="is_staff"
+              tal:attributes="action string:${context/absolute_url}/mail_password_form">
+          <br />
+          <input type="submit" class="context" value="Send Email with Authentication Data" />
+        </form>
+        
+        
+        
+        
+        <form action="" method="post" class="group"
+              tal:condition="info/transition_return_allowed"
+              tal:attributes="action string:${context/absolute_url}/changeRegState">
+          <input type="submit" class="context" value="Execute Transition 'return'" />
+          <input type="hidden" name="transition"
+                 tal:attributes="value string:return"
+                 /> &nbsp; <br /><br />     
+          <font color='red'>Attention: This low-level method does not change the study course and/or payment objects! They must be edited separately.</font>
+        </form>        
+        
+        <form action="" method="post" class="group"
+              tal:condition="info/transition_pay_school_fee_allowed"
+              tal:attributes="action string:${context/absolute_url}/changeRegState">
+          <input type="submit" class="context" value="Execute Transition 'pay_school_fee'" />
+          <input type="hidden" name="transition"
+                 tal:attributes="value string:pay_school_fee"
+                 /> &nbsp; <br /><br />
+          <font color='red'>Attention: This low-level method does not change the study course and/or payment objects! They must be edited separately.</font>
+        </form>             
+    
+    
+        
+        
+        <div tal:condition="python:info['review_state']=='deactivated'">
+          <font color="red">This student record has been deactivated!</font>
+        </div>
+        <table tal:condition="python:is_student and info['review_state']!='deactivated'" class="contentListing" width="" summary="content layout" id="folder_content">      
+          <span tal:repeat="row rows">
+            <tr tal:condition="row/display">
+              <td width="220px"><a href="view" tal:condition="row/s_view_link"
+                                   tal:attributes="href string:${row/s_view_link}">
+                  <strong tal:content="row/title" /></a>
+                <strong tal:condition="not:row/s_view_link" tal:content="row/title" />
+              </td>
+              <td align="left"> 
+                <span tal:content="row/review_state" />
+              </td>          
+              <td width="40px" align="center"> 
+                <a tal:condition="python: row['s_edit_link'] and row['is_editable']"
+                   href="edit" tal:attributes="href string:${row/s_edit_link}">
+                  [edit]
+                </a>     
+              </td>                 
+            </tr>
+          </span>
+          <tr tal:condition="info/session">
+            <td>
+              <a href="edit" tal:attributes="href string:session_results_view">
+                <strong>Session Results 2005/2006</strong>
+              </a>             
+            </td>
+            <td>
+              &nbsp;
+            </td>
+          </tr>
+        </table>
+      </metal:block>
+    </metal:block>
+  </metal:main>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_ois/study_course_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/study_course_view.pt	(revision 3700)
+++ WAeUP_SRP/trunk/skins/waeup_ois/study_course_view.pt	(revision 3700)
@@ -0,0 +1,142 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="global info context/getStudyCourseInfo;">
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info">
+    <span tal:define="create_level info/create_level|nothing;
+                      is_so info/is_so;">               
+    <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+    <h3> 
+       <span tal:condition="python:is_so and info">
+         <span tal:content="info/student/name" />:
+       </span>
+        Study Course
+    </h3>
+    <br />  
+    <table tal:define="sc python: info['course_doc']">
+      <tr>
+        <td width="220px">Certificate Code:</td> 
+        <td><span tal:content="info/doc/study_course" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Current Session:</td> 
+        <td><span tal:content="python:context.portal_vocabularies.sessions.get(info['doc'].current_session)" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Current Study Level:</td> 
+        <td><span tal:content="python:context.portal_vocabularies.student_levels.get(info['doc'].current_level)" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Current Study Mode:</td> 
+        <td><span tal:content="python:context.portal_vocabularies.entry_modes.get(info['doc'].current_mode)" /></td>
+      </tr>        
+      <tr>
+        <td width="220px">Current Verdict:</td> 
+        <td><span tal:content="info/verdict" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Previous Verdict:</td> 
+        <td><span tal:content="info/previous_verdict" /></td>
+      </tr>      
+      <span tal:define="f_id sc/faculty;
+        d_id sc/department;
+        c_id sc/study_course;
+        f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
+        d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus;
+        c_title context/academics/?f_id/?d_id/certificates/?c_id/Title|string:Department not yet in Prospectus"
+        >
+      <tr>
+        <td width="220px">Certificate:</td> 
+        <td tal:content="c_title" />
+      </tr>
+      <tr>
+        <td>Certificate Id:</td>
+        <td><span tal:content="sc/study_course" /></td>
+      </tr>
+        </span>
+      </table>        
+    
+    <form action="" method="post" class="group" onsubmit="return submit_once()"
+          tal:attributes="action info/action"
+          tal:define="rows python: info['items'];"
+          >
+      <span tal:condition="rows">
+      
+      <table  class="contentListing" width="100%" summary="content layout" id="folder_content">      
+        <tr tal:repeat="row rows"
+          tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;" 
+              tal:condition="python:is_so">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:condition="is_so"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td><a href="view"
+                 tal:attributes="href string:${row/url}">
+            <strong tal:content="row/title" /></a> 
+          </td>
+        </tr>
+      </table>
+      </span>
+      <table width="100%" cellspacing="0" cellpadding="2"
+             summary="contents of the folder"
+             class="folderButtons">
+        <tr tal:condition="python: is_so and info['items']">
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+            <input type="button" value="button_select_all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+            <input type="submit" name="level_delete:method" value="button_delete"
+                   class="destructive" i18n:attributes="value"
+                   tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                   (cpsmcat('description_confirm_delete'), )" 
+                   />
+          </td>
+        </tr>
+      </table>
+    </form>
+    <form action="" method="post" class="group" onsubmit="return submit_once()"
+          tal:attributes="action string:${context/absolute_url}/create_level"
+          tal:define="rows python: info['items'];"
+          tal:condition="create_level"
+          >
+      <table width="100%" cellspacing="0" cellpadding="2"
+             summary="contents of the folder"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+            <input type="submit" name="create_level" 
+                     class="destructive" 
+                     tal:attributes="value string: Register Courses for ${info/create_level_str}" 
+                     />
+          </td>
+        </tr>
+      </table>
+    </form>  
+    
+    <div tal:condition="info/missing_data">
+       <font color='red'>
+          Your faculty has not yet provided the results and verdict of the previous session.
+       </font>
+    </div>
+
+  </span>
+  </span>
+  </metal:main>
+</metal:body>
+