Index: /WAeUP_SRP/trunk/CHANGES.txt
===================================================================
--- /WAeUP_SRP/trunk/CHANGES.txt	(revision 3700)
+++ /WAeUP_SRP/trunk/CHANGES.txt	(revision 3701)
@@ -46,2 +46,6 @@
 
 - More profile clean-up
+
+1.8 (2008-09-24)
+-----------------
+- Add academic and pastoral report slips
Index: /WAeUP_SRP/trunk/skins/waeup_student/academic_report_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/academic_report_slip.pt	(revision 3701)
+++ /WAeUP_SRP/trunk/skins/waeup_student/academic_report_slip.pt	(revision 3701)
@@ -0,0 +1,91 @@
+<metal:body use-macro="here/slip_template/macros/master">
+<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
+<span tal:condition="not: info"> 
+    <span tal:content="here/illegal_view" />
+</span> 
+<span tal:condition="info" tal:omit-tag=""> 
+    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
+                                       is_ca info/is_ca;   
+                                       show_check_boxes 
+                                       info/show_check_boxes;   
+                                       is_student info/is_student;   
+                                       validated info/validated;   ">  
+        <h3> <span tal:content="info/session" /> Academic Report (<span tal:content="info/student/course" /> 
+                                                                  <span tal:content="info/level_str" />)
+            </h3>  <br /> 
+        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
+                                                 layout_mode='view_info',       
+                                                 layout_id='student_application')"       />
+        <br /> 
+        <span tal:condition="not:info/data_missing" tal:omit-tag="">
+            <table class="contentListing" id="folder_content">
+                <span tal:repeat="sem python:(('1','Term One','normal1'),('2','Term Two','normal2'),('3','Term Three','normal3'))">
+                    <tr tal:condition="python:info[sem[2]]">
+                        <th tal:attributes="colspan python: test(show_check_boxes,'2','1')"       
+                            tal:content="python:sem[1]" />
+                        <th align='center'>
+                        </th>
+                        <th align='center'>ca1
+                        </th>
+                        <th align='center'>ca2
+                        </th>
+                        <th align='center'>em
+                        </th>
+                        <th align='center'>om
+                        </th>
+                        <th tal:condition="is_so" align='center'>
+                        </th>
+                    </tr>
+                    <tr tal:repeat="row python:info[sem[2]]"       
+                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
+                        <td align="left" valign="middle" style="width: 5%;"       
+                            tal:condition="show_check_boxes"> 
+                            <input type="checkbox" name="ids:list" value="" id="" class="noborder"          
+                                   tal:define="id row/id"           
+                                   tal:attributes="value id;          
+                                                id python:'cb_' + id;          
+                                                checked python:id in info['choosen_ids'];"           
+                                                />     </td> 
+                        <td tal:content="row/title"></td> 
+                        <td align="center" width="10%" tal:content="row/code"></td>
+                        <td align="center" tal:content="row/ca1"></td> 
+                        <td align="center" tal:content="row/ca2"></td> 
+                        <td align="center" tal:content="row/exam"></td> 
+                        <td align="center" tal:content="row/score_calc"></td>
+                    </tr>
+                    <tr><td>&nbsp;</td>
+                    </tr>
+                </span>
+            </table>
+        </span>
+        <table>
+            <tr>
+                <th>ca1/2:
+                </th> <td>CA 1/2 Marks</td>
+            </tr>
+            <tr>
+                <th>em:
+                </th> <td>Exam Marks</td>
+            </tr>
+            <tr>
+                <th>om:
+                </th> <td>Overall Marks</td>
+            </tr>
+        </table> 
+        <span tal:condition="is_ca">      <br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50%>Date:</td><td>Date:</td>
+                </tr>
+            </table>    <br /><br /><br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                </tr>
+            </table>
+        </span>
+    </span>
+</span>
+</metal:main>
+</metal:body>
Index: /WAeUP_SRP/trunk/skins/waeup_student/academic_report_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/academic_report_view.pt	(revision 3700)
+++ /WAeUP_SRP/trunk/skins/waeup_student/academic_report_view.pt	(revision 3701)
@@ -23,22 +23,13 @@
     
 
-    <span tal:condition="python:False">  
+    <span tal:condition="python:True">  
     <div style="text-align: right" 
-         tal:condition="rejection_allowed">
-    <a href="" target="slip" tal:attributes="href string:course_registration_slip"
+         tal:condition="python:True">
+    <a href="" target="slip" tal:attributes="href string:academic_report_slip"
         onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
         <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-        Course Registration Slip
+        Academic Report Slip
     </a>
     </div>
-    
-    <div style="text-align: right" 
-         tal:condition="info/gpa">
-    <a href="" target="slip" tal:attributes="href string:new_session_results_slip"
-        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-        Session Results Slip
-    </a>
-    </div>    
     </span>
           
Index: /WAeUP_SRP/trunk/skins/waeup_student/getPastoralReportInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getPastoralReportInfo.py	(revision 3700)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getPastoralReportInfo.py	(revision 3701)
@@ -44,3 +44,8 @@
 #info['student'] = student = context.students_catalog.getRecordByKey(student_id)
 
+students_object = context.portal_url.getPortalObject().campus.students
+student = getattr(students_object, student_id)
+info['app'] = student.application
+info['app_doc'] = student.application.getContent()
+
 return info
Index: /WAeUP_SRP/trunk/skins/waeup_student/pastoral_report_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pastoral_report_slip.pt	(revision 3701)
+++ /WAeUP_SRP/trunk/skins/waeup_student/pastoral_report_slip.pt	(revision 3701)
@@ -0,0 +1,29 @@
+<metal:body use-macro="here/slip_template/macros/master">
+
+  <metal:main fill-slot="main"
+              tal:define="info context/getPastoralReportInfo;
+              s_name context/getStudentNameInContext;
+              ">
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info" tal:omit-tag="">
+
+        <h3> <span tal:content="info/session" /> <span tal:content="info/term" /> Pastoral Report (<span tal:content="info/level" />)
+            </h3>
+      <br />
+
+
+        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
+                                                 layout_mode='view_info',       
+                                                 layout_id='student_application')"       />      
+          
+     
+      
+      <br />
+      
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+    </span>      
+  </metal:main> 
+</metal:body>
Index: /WAeUP_SRP/trunk/skins/waeup_student/pastoral_report_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pastoral_report_view.pt	(revision 3700)
+++ /WAeUP_SRP/trunk/skins/waeup_student/pastoral_report_view.pt	(revision 3701)
@@ -9,4 +9,15 @@
     <span tal:condition="info" tal:omit-tag="">
       <span tal:condition="not:info/is_anonymous" tal:omit-tag="">
+
+    <div style="text-align: right" 
+         tal:condition="python:True">
+    <a href="" target="slip" tal:attributes="href string:pastoral_report_slip"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+        Pastoral Report Slip
+    </a>
+    </div>
+    
+      
         <span tal:define="breadcrumbs context/getBreadCrumbs|nothing">
           <a tal:condition="not: breadcrumbs" href="" 
@@ -24,4 +35,8 @@
         </span>      
       </span>      
+
+
+
+
       <h3 tal:define="is_so info/is_sectionofficer;"> 
         <span tal:condition="python:is_so and s_name">