Index: WAeUP_SRP/trunk/profiles/default/vocabularies/terms.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/terms.xml	(revision 3702)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/terms.xml	(revision 3703)
@@ -6,6 +6,6 @@
  <property name="description"></property>
  <property name="acl_write_roles">Manager</property>
- <item key="fpr" msgid="">First Term</item>
- <item key="spr" msgid="">Second Term</item>
- <item key="tpr" msgid="">Third Term</item>
+ <item key="fpr" msgid="">Term One</item>
+ <item key="spr" msgid="">Term Two</item>
+ <item key="tpr" msgid="">Term Three</item>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_student/academic_report_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/academic_report_view.pt	(revision 3702)
+++ WAeUP_SRP/trunk/skins/waeup_student/academic_report_view.pt	(revision 3703)
@@ -1,287 +1,81 @@
-<metal:body use-macro="here/main_template/macros/master">
-  <metal:main fill-slot="main"
-          tal:define="info context/getStudyLevelInfo;
-                      contact_student_form string:contact_student_form;
-                      study_level_view string:study_level_view;">
-  <metal:block define-macro="edit_form">   
-              
-    <span tal:condition="not: info">
-      <span tal:content="here/illegal_view" />
+<metal:body use-macro="here/slip_template/macros/master">
+<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
+<span tal:condition="not: info"> 
+    <span tal:content="here/illegal_view" />
+</span> 
+<span tal:condition="info" tal:omit-tag=""> 
+    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
+                                       is_ca info/is_ca;   
+                                       show_check_boxes 
+                                       info/show_check_boxes;   
+                                       is_student info/is_student;   
+                                       validated info/validated;   ">  
+        <h3> <span tal:content="info/session" /> Academic Report (<span tal:content="info/student/course" /> 
+                                                                  <span tal:content="info/level_str" />)
+            </h3>  <br /> 
+        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
+                                                 layout_mode='view_info',       
+                                                 layout_id='student_application')"       />
+        <br /> 
+        <span tal:condition="not:info/data_missing" tal:omit-tag="">
+            <table class="contentListing" id="folder_content">
+                <span tal:repeat="sem python:(('1','Term One','normal1'),('2','Term Two','normal2'),('3','Term Three','normal3'))">
+                    <tr tal:condition="python:info[sem[2]]">
+            <th colspan=2 
+            tal:content="python:sem[1]" />
+                        <th align='center'>ca1
+                        </th>
+                        <th align='center'>ca2
+                        </th>
+                        <th align='center'>em
+                        </th>
+                        <th align='center'>om
+                        </th>
+                        <th tal:condition="is_so" align='center'>
+                        </th>
+                    </tr>
+                    <tr tal:repeat="row python:info[sem[2]]"       
+                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
+                        <td tal:content="row/title"></td> 
+                        <td align="center" width="10%" tal:content="row/code"></td>
+                        <td align="center" tal:content="row/ca1"></td> 
+                        <td align="center" tal:content="row/ca2"></td> 
+                        <td align="center" tal:content="row/exam"></td> 
+                        <td align="center" tal:content="row/score_calc"></td>
+                    </tr>
+                    <tr><td>&nbsp;</td>
+                    </tr>
+                </span>
+            </table>
+        </span>
+        <table>
+            <tr>
+                <th>ca1/2:
+                </th> <td>CA 1/2 Marks</td>
+            </tr>
+            <tr>
+                <th>em:
+                </th> <td>Exam Marks</td>
+            </tr>
+            <tr>
+                <th>om:
+                </th> <td>Overall Marks</td>
+            </tr>
+        </table> 
+        <span tal:condition="is_ca">      <br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50%>Date:</td><td>Date:</td>
+                </tr>
+            </table>    <br /><br /><br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                </tr>
+            </table>
+        </span>
     </span>
-    <span tal:condition="info">
-    <span tal:define= "is_so context/isSectionOfficer;
-    is_ca info/is_ca;
-    show_check_boxes info/show_check_boxes;
-    has_verdict info/has_verdict;
-    submission_allowed info/submission_allowed;
-    rejection_allowed info/rejection_allowed;
-    is_current_level info/is_current_level;
-    is_student info/is_student;
-    with_score not: info/without_score|nothing;
-    with_cascore not: info/without_cascore|nothing;
-    ">     
-    
-
-    <span tal:condition="python:True">  
-    <div style="text-align: right" 
-         tal:condition="python:True">
-    <a href="" target="slip" tal:attributes="href string:academic_report_slip"
-        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-        Academic Report Slip
-    </a>
-    </div>
-    </span>
-          
-    <a href=""
-       tal:attributes="href string:${here/academicsParent}">
-      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-      Up one level
-    </a>
-
-    <h3> 
-      <span tal:condition="python: is_so or is_ca">
-        <span tal:content="info/student/name" />:
-      </span>
-      <span tal:condition="is_student">My </span>
-      
-      Course Registration Form for <span tal:content="info/level_str" />
-    </h3>
-    
-        <br />
-           
-        <table>
-           <tr>
-            <th valign='top'>Pastoral Reports:</th> 
-            <td>
-              <span tal:repeat="item python:info['items']">
-                <a href="view" 
-                   tal:attributes="href item/id"
-                   tal:content="item/title"/><br />
-              </span>
-            </td>
-          </tr>
-          <tr>
-            <th>Session:</th> 
-            <td><span tal:content="info/session" /></td>
-          </tr>
-          <tr tal:condition="has_verdict">
-            <th>Verdict:</th> 
-            <td><span tal:content="info/verdict" /></td>
-          </tr>      
-        </table>           
-   
-             
-    <form action="." method="post" class="group" onsubmit="return submit_once()">
-
-      <div class="" tal:condition="python: info['data_missing'] and not info['spillover']">
-        <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
-        <br /><br />
-      </div>
-       
-      <span tal:condition="not:info/data_missing" tal:omit-tag=""> 
-
-      <table class="contentListing"  id="folder_content">
-        
-        <span tal:repeat="sem python:(('1','Term One','normal1'),('2','Term Two','normal2'),('3','Term Three','normal3'))">       
-                    
-        <tr tal:condition="python:info[sem[2]]">
-        <th tal:attributes="colspan python: test(show_check_boxes,'2','1')" 
-            tal:content="python:sem[1]" />
-        <th align='center'></th> 
-        <th align='center'>ca1</th>
-        <th align='center'>ca2</th>    
-        <th align='center'>em</th>              
-        <th align='center'>om</th>
-        <th tal:condition="submission_allowed" align='center'></th>   
-        <th tal:condition="is_so" align='center'></th> 
-            
-        </tr>                
-        <tr tal:repeat="row python:info[sem[2]]"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-          <td align="left" valign="middle" style="width: 5%;"
-             tal:condition="show_check_boxes">
-            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                   tal:define="id row/id"
-                   tal:attributes="value id;
-                   id python:'cb_' + id;
-                   checked python:id in info['choosen_ids'];" 
-                   />
-          </td>
-          <td tal:content="row/title"></td>
-          <td align="center" width="10%" tal:content="row/code"></td>
-          <td align="center" tal:content="row/ca1"></td>
-          <td align="center" tal:content="row/ca2"></td>
-          <td align="center" tal:content="row/exam"></td>
-          <td align="center" tal:content="row/score_calc"></td>
-          
-          <td tal:condition="python:submission_allowed and is_student" align="center">
-            <a href="edit" tal:attributes="href string:course_edit/${row/code}"
-            target="edit_course_result"
-            onclick="javascript:window.open('','edit_course_result','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            [edit]
-            </a> 
-          </td>       
-          <td tal:condition="is_so" align="center">
-            <a href="edit" tal:attributes="href string:lecturer_course_edit/${row/code}"
-            target="edit_course_result"
-            onclick="javascript:window.open('','edit_course_result','width=600, height=500, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            [edit]
-            </a> 
-          </td>                   
-        </tr>
-        <tr><td>&nbsp;</td></tr>
-        </span>        
-        
-      </table>
-      </span>
-      
-      <table>
-      <tr><th>ca1/2:</th> <td>CA 1/2 Marks</td></tr>
-      <tr><th>em:</th> <td>Exam Marks</td></tr>
-      <tr><th>om:</th> <td>Overall Marks</td></tr>
-      </table>      
-          
-      <br />
-      
-      <table tal:condition="python: is_student and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
-             class="folderButtons">
-        <tr>
-          <td align="left" valign="top" rowspan="3"></td>
-          <td align="left" valign="top">
-              <input type="submit" name="delete_course_result:method" value="Delete selected"
-                     class="destructive" i18n:attributes="value"
-                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                     ('Do you really want to delete selected courses?', )" 
-                     />
-              <input tal:condition="python: 1" type="submit" name="refresh_level:method"
-                     class="context" value="Update" 
-                     />
-                    
-                     
-              <br /><br />
-              <input tal:condition="not: info/credits_exceeded" 
-                     type="submit" name="register_courses:method"
-                     class="context" value="Submit to Course Adviser" 
-                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                     ('Do you really want to submit the course list? You will not be able to edit your data after submission.', )" />
-              <span tal:condition="info/credits_exceeded">
-                  <font color="red"> <strong>Your total credits exceed <span tal:replace="info/max_credits" />!</strong></font>
-              </span>
-                     
-              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                     tal:attributes="value study_level_view"/>  
-                     
-              <br /><br />
-              
-              <span tal:condition="python: 1">
-              <strong>Note:</strong> 'Update' checks for all courses in your certificate and will add them to your course list irrespective of
-              prior deletion, i.e. already deleted courses will show up again. 
-              Please use this function only if you are sure that your faculty has added courses which are not yet on your course list.                                
-              </span>
-              <span tal:condition="python: 0">
-              <strong>Note:</strong> The 'Update' function has been temporarily disabled.                                 
-              </span>              
-                     
-          </td>
-        </tr>
-      </table>
-      <table tal:condition="python: is_so and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
-             class="folderButtons">
-        <tr>
-          <td align="left" valign="top" rowspan="3"></td>
-          <td align="left" valign="top">
-              <input type="button" value="Select all" class="context"
-                     onclick="someJavaScriptFunctionThatWillBeReplaced"
-                     i18n:attributes="value"
-                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                     />
-              <input type="submit" name="delete_course_result:method" value="Delete selected"
-                     class="destructive" i18n:attributes="value"
-                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                     ('Do you really want to delete the courses selected?', )" 
-                     />
-              <input 
-                     type="submit" name="refresh_level:method"
-                     class="context" value="Update" 
-                     />
-              <input tal:condition="submission_allowed" type="submit" name="register_courses:method"
-                     class="context" value="Submit" />  
-              <input tal:condition="info/validation_allowed" type="submit" name="validate_courses:method"
-                     class="context" value="Validate" />
-              <input tal:condition="info/rejection_allowed" type="submit" name="reject_courses:method"
-                     class="context" value="Reject" />
-                     
-              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                     tal:attributes="value study_level_view"/>                         
-              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
-                     tal:attributes="value contact_student_form"/>                         
-
-          </td>
-        </tr>
-      </table>
-      <table tal:condition="python:is_ca and is_current_level and not has_verdict" width="100%" cellspacing="0" cellpadding="2"
-             class="folderButtons">
-        <tr>
-          <td align="left" valign="top" rowspan="3"></td>
-          <td align="left" valign="top">
-              <input tal:condition="show_check_boxes"
-                     type="button" value="Select all" class="context"
-                     onclick="someJavaScriptFunctionThatWillBeReplaced"
-                     i18n:attributes="value"
-                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                     />
-              <input tal:condition="show_check_boxes"
-                     type="submit" name="delete_course_result:method" value="Delete selected"
-                     class="destructive" i18n:attributes="value"
-                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                     ('Do you really want to delete the courses selected?', )" 
-                     />
-              <input tal:condition="show_check_boxes"
-                     type="submit" name="refresh_level:method"
-                     class="context" value="Update" 
-                     />
-              <input tal:condition="submission_allowed" type="submit" name="register_courses:method"
-                     class="context" value="Submit" />  
-              <input tal:condition="info/validation_allowed" type="submit" name="validate_courses:method"
-                     class="context" value="Validate" />
-              <input tal:condition="info/rejection_allowed" type="submit" name="reject_courses:method"
-                     class="context" value="Reject" />
-                     
-              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                     tal:attributes="value study_level_view"/>                         
-              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
-                     tal:attributes="value contact_student_form"/>    
-                                           
-
-          </td>
-        </tr>
-      </table>
-
-    </form>
-    <br />
-      <form action="add_course_result" method="post" class="group" onsubmit="return submit_once()"
-          tal:condition="show_check_boxes">
-      <table>
-        <tr>
-          <th>Course Id</th>
-          <td><input type="text" name="course_id" 
-                     tal:attributes="value request/course_id|nothing"/></td>
-          <td colspan="2">
-            <input type="submit" name="add"
-                   class="context" value="Add Course" 
-                   />
-            <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                     tal:attributes="value study_level_view"/>                       
-          </td>                
-      </table>
-      </form>   
-  </span>
-  </span>        
-  </metal:block>    
-  </metal:main>
-
+</span>
+</metal:main>
 </metal:body>
-